Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79418 - libgcj-3.2.1-2.i386.rpm installation prints an error message
Summary: libgcj-3.2.1-2.i386.rpm installation prints an error message
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-11 15:48 UTC by Peter Klotz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-11 15:48:08 UTC


Attachments (Terms of Use)

Description Peter Klotz 2002-12-11 15:48:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
I have a Red Hat Linux 7.3 system with updated glibc and gcc packages from Red
Hat Linux 8.0.

Installing libgcj-3.2.1-2.i386.rpm gives the following error message:

install-info: menu item `grepjar' already exists, for file `(none)'
error: execution of %post scriptlet from libgcj-3.2.1-2 failed, exit status 1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -Uvh libgcj-3.2.1-2.i386.rpm
2.
3.
	

Additional info:

Comment 1 Jakub Jelinek 2002-12-11 15:51:31 UTC
It is actually a bug in libgcj-3.2.1-1.i386.rpm, fixed in 3.2.1-2.
You need to undo the damage manually though (edit /usr/share/i18n/dir).
As libgcj-3.2.1-1 only appeared in rawhide, I don't think I need to add
sed garbage to libgcj's %post.

Comment 2 Peter Klotz 2002-12-12 07:57:38 UTC
I think you mean to delete the grepjar and jar lines from /usr/share/info/dir
after uninstalling libgcj.

Comment 3 Jakub Jelinek 2002-12-12 08:08:25 UTC
Either that, or while libgcj is still installed change jar to jar(fastjar)
and grepjar to grepjar(fastjar).


Note You need to log in before you can comment on or make changes to this bug.